Subject: [AVT] WG Action: RECHARTER: Audio/Video Transport (avt)

From: The IESG <[email-masked]>
Date: Wed, 08 Oct 2003 11:26:19 -0400

The charter of the Audio/Video Transport (avt) working group in 
Transport Area of the IETF has been updated.  For additional information, 
please contact the Area Directors or the working group Chairs.

Audio/Video Transport (avt)
---------------------------

Current Status: Active Working Group

Chair(s):
Colin Perkins <[email-masked]>
Magnus Westerlund <[email-masked]>

Transport Area Director(s):
Allison Mankin <[email-masked]>
Jon Peterson <[email-masked]>

Transport Area Advisor:
Allison Mankin <[email-masked]>

Mailing Lists:
General Discussion: [email-masked]
To Subscribe: [email-masked]
Archive: www.ietf.org/mail-archive/working-groups/avt/current/maillist.html

The Audio/Video Transport Working Group was formed to specify a
protocol for real-time transmission of audio and video over unicast
and multicast UDP/IP. This is the Real-time Transport Protocol, RTP,
together with its associated profiles and payload formats. The 
current aims of the working group are:     

 - to advance the main RTP specification and RTP Profile 
   for Audio and Video Conferences with Minimal Control 
   for publication as full Internet Standards

 - to review and revise existing payload formats to advance those
   which are useful to Draft Standard, and to declare others
   as Historic. Milestones will be established as a champion for 
   each payload format is identified.

 - to develop payload formats for new media codecs, and to
   document best-current practices in payload format design. 
   The group continues to be precluded from work on codecs 
   themselves because of overlap with the other standards 
   bodies, and because the IETF does not have the ability 
   to effectively review new codecs. An exception was made 
   for the freeware iLBC codec on a highly experimental basis, 
   but acceptance of new codec work is unexpected and subject 
   to rechartering.

 - to complete the forward error correction work in the ULP and
   UXP payload formats

 - to extend RTP to work with Source-Specific Multicast sessions
   with unicast feedback

 - to provide a framing mechanism for RTP over TCP and TLS

 - to review the applicability of Compressed RTP operation on
   MPLS networks, developing extensions as necessary

 - to develop a new RTP profile as the combination of the SRTP
   profile and the Extended RTP Profile for RTCP-based Feedback
   (RTP/SAVPF)

The group will also coordinate with the DCCP working group to
ensure that RTP can be efficiently transported over DCCP.

The longer term goals of the working group are to advance the 
SRTP Profile, the Extended RTP Profile for RTCP-based Feedback,
the Compressed RTP framework, and the RTP MIB to Draft Standard. 

The group has no plans to develop new RTP profiles beyond those
listed above, but will consider rechartering to produce profile
level extensions if appropriate.            

Milestones:

Oct 2003  Review DCCP including prototypes and API; feedback to DCCP WG
Nov 2003  Initial draft requirements for ECRTP over MPLS; discuss with MPLS WG
Dec 2003  Submit UXP Payload Format for Proposed Standard              
Dec 2003  Submit ULP Payload Format for Proposed Standard 
Dec 2003  Submit RTCP/SSM draft for Proposed Standard
Dec 2003  Submit iLBC codec specification for Experimental
Dec 2003  Submit iLBC payload format for Proposed Standard
Jan 2004  Advance RTP specification and A/V profile to Full Standard
Mar 2004  Submit Framing of RTP for TCP and TLS for Proposed Standard
Mar 2004  Identify payload formats to classify as Historic
Mar 2004  Finish requirements for ECRTP over MPLS; 
	  recharter for subsequent work
Jul 2004  Submit RTP/SAVPF profile for Proposed Standard
Jul 2004  Begin update of SRTP profile for Draft Standard RFC
Jul 2004  Begin update of RTP/AVPF profile for Draft Standard RFC
Aug 2004  Consider update of RTP MIB
Nov 2004  Collect SRTP implementation reports
Nov 2004  Collect RTP/AVPF implementation reports
Mar 2005  Submit SRTP for Draft Standard
Mar 2005  Submit RTP/AVPF for Draft Standard

_______________________________________________
Audio/Video Transport Working Group
[email-masked]
https://www1.ietf.org/mailman/listinfo/avt

---

From: Colin Perkins <[email-masked]>
Date: Wed, 8 Oct 2003 17:34:09 +0100

Mark,

I fully agree with your assessment. You'll note that the new charter 
says that we will "consider" updating the MIB; the issues you mention 
are those we should work through in the next year or so, to make a 
decision on how to proceed and if there is sufficient community to do 
the work.

The first stage is probably to identify a volunteer to look into these 
issues...

Colin

On Wednesday, Oct 8, 2003, at 17:04 Europe/London, Mark Baugher wrote:

> I see that we want to advance the RTP MIB to draft standard.  At 
> minimum, I think we will want to consider updating the RTP MIB for 
> SRTP.  This is also an opportunity to review 
> ftp://ftp.rfc-editor.org/in-notes/rfc2959.txt and try to ascertain 
> if/how the RTP MIB is used in products or tools.  This MIB was 
> reference by the ITU for H.323 management and there were a number of 
> technical issues in trying to balance multicast uses with 
> pairwise/unicast uses of the RTP MIB.
>
> I think we will need to find a constituency who have products that use 
> the RTP MIB, or need to, and who will drive the effort just as the ITU 
> folks drove the original MIB effort.  To my knowledge, many of the 
> individuals who led this effort are now doing other things and I don't 
> know of any product implementations of the RTP MIB (is videoserver 
> corp even around anymore, it looks like a web commerce site?).
>
> Although we only need two interoperable implementations for draft 
> status, this could be complex since interoperability is bifurcated 
> between pairwise/unicast and multicast types of applications.
>
> Mark
>
> At 08:26 AM 10/8/2003, The IESG wrote:
>> Archive: 
>> www.ietf.org/mail-archive/working-groups/avt/current/maillist.html
>>
-- 
Colin Perkins
http://csperkins.org/

---

From: Mark Baugher <[email-masked]>
Date: Wed, 08 Oct 2003 09:04:19 -0700

I see that we want to advance the RTP MIB to draft standard.  At minimum, I 
think we will want to consider updating the RTP MIB for SRTP.  This is also 
an opportunity to review ftp://ftp.rfc-editor.org/in-notes/rfc2959.txt and 
try to ascertain if/how the RTP MIB is used in products or tools.  This MIB 
was reference by the ITU for H.323 management and there were a number of 
technical issues in trying to balance multicast uses with pairwise/unicast 
uses of the RTP MIB.

I think we will need to find a constituency who have products that use the 
RTP MIB, or need to, and who will drive the effort just as the ITU folks 
drove the original MIB effort.  To my knowledge, many of the individuals 
who led this effort are now doing other things and I don't know of any 
product implementations of the RTP MIB (is videoserver corp even around 
anymore, it looks like a web commerce site?).

Although we only need two interoperable implementations for draft status, 
this could be complex since interoperability is bifurcated between 
pairwise/unicast and multicast types of applications.

Mark

---

From: "Alan Clark" <[email-masked]>
Date: Wed, 8 Oct 2003 14:49:51 -0400

We've been developing a MIB based on the RTCP XR VoIP metrics, to support
VoIP management.  One example of the use of this would be to allow a Gateway
to collect IP phone generated metrics reported through RTCP XR in addition
to retaining locally generated call quality data.

Is anyone interested in this work?

Regards

Alan Clark
Telchemy

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]On Behalf Of Colin
Perkins
Sent: Wednesday, October 08, 2003 12:34 PM
To: Mark Baugher
Cc: [email-masked]; Magnus Westerlund
Subject: [AVT] Re: WG Action: RECHARTER: Audio/Video Transport (avt)

Mark,

Colin

--
Colin Perkins
http://csperkins.org/

---

From: Mark Baugher <[email-masked]>
Date: Wed, 08 Oct 2003 16:39:46 -0700

Alan,
   I would expect you to put this added functionality into the RTP MIB and 
not create a MIB for a particular feature of the protocol.  Am I missing 
something here?  A great deal of the RTP MIB RFC 2959 is there for VoIP 
management by way of a group that was doing management for H.323 - the RTP 
MIB was just one piece of their management standard.

Mark

---

From: "Alan Clark" <[email-masked]>
Date: Thu, 9 Oct 2003 11:17:54 -0400

Mark

We could certainly look at incorporating the RTCP XR VoIP metrics into the
RTP MIB.  From a quick look, this would involve the addition of an XR VoIP
Metrics group in a similar vein to the SR and RR groups.
It would be helpful to know how widely implemented the RTP MIB is.  In
developing draft versions of the RTCP XR based MIB we've incorporated some
ideas that are structurally different to the RTP MIB and hence a version 2
MIB maybe a little different to the current RFC.

Regards

Alan

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]On Behalf Of Mark
Baugher
Sent: Wednesday, October 08, 2003 7:40 PM
To: [email-masked]
Cc: [email-masked]
Subject: Re: [AVT] MIB based on RTCP XR VoIP metrics

Alan,

Mark

---

From: Mark Baugher <[email-masked]>
Date: Thu, 09 Oct 2003 08:33:44 -0700

Alan,

>Metrics group in a similar vein to the SR and RR groups.

I'd be happy to review this for you.  I would suggest that you take the 
RFC, change it, put your name on it in place of the others, and resubmit it.

>It would be helpful to know how widely implemented the RTP MIB is.

That's hard to say.  We can ask this group to look into their products and 
see if it's there.  I doubt if it's widely used though it is an IETF and an 
ITU-referenced standard.

>In

I think so too.

Mark